<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/PPEConstants.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d76/_p_p_e_constants_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">PPEConstants.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d1/d76/_p_p_e_constants_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d04/class_param2.html">Param2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ac5e33178b6f27d18e3abad3982bd9ded"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d04/class_param2.html">Param2</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ac5e33178b6f27d18e3abad3982bd9ded">PPETemplateDefBool</a></td></tr>
<tr class="separator:ac5e33178b6f27d18e3abad3982bd9ded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ff7244ed06093256c10603f1dc6413b"><td class="memItemLeft" align="right" valign="top">typedef Param4&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a7ff7244ed06093256c10603f1dc6413b">PPETemplateDefInt</a></td></tr>
<tr class="separator:a7ff7244ed06093256c10603f1dc6413b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab19ab3aa4e820a12e9bf04f9c1036adb"><td class="memItemLeft" align="right" valign="top">typedef Param4&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ab19ab3aa4e820a12e9bf04f9c1036adb">PPETemplateDefFloat</a></td></tr>
<tr class="separator:ab19ab3aa4e820a12e9bf04f9c1036adb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a633b80e4451bf80e12e4f461fe9a6a50"><td class="memItemLeft" align="right" valign="top">typedef Param5&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a633b80e4451bf80e12e4f461fe9a6a50">PPETemplateDefColor</a></td></tr>
<tr class="separator:a633b80e4451bf80e12e4f461fe9a6a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef6104315d96e24a197966539071c24e"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d04/class_param2.html">Param2</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#aef6104315d96e24a197966539071c24e">PPETemplateDefVector</a></td></tr>
<tr class="separator:aef6104315d96e24a197966539071c24e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad313a41418914229728cf8964bdedc22"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d04/class_param2.html">Param2</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad313a41418914229728cf8964bdedc22">PPETemplateDefTexture</a></td></tr>
<tr class="separator:ad313a41418914229728cf8964bdedc22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc024800a8be550b88ec50f556a9fc62"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d04/class_param2.html">Param2</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#adc024800a8be550b88ec50f556a9fc62">PPETemplateDefResource</a></td></tr>
<tr class="separator:adc024800a8be550b88ec50f556a9fc62"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ad276cdedb5a3eae18144540aef237b95"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95">PostProcessPrioritiesCamera</a> { <br />
&#160;&#160;<a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a6c3ee6d22e1276eb79e54a059d789351">PPP_SSAO</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95aa3c88e05fedc38fc8f91904d9dc199b0">PPP_CLOUDS</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a36f265d771d6ada8030ed89f13e44707">PPP_DOF</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a03680e74ba2bb89c791fc84f27dabbc7">PPP_ROTBLUR</a>
, <br />
&#160;&#160;<a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95ad4caf7810378e14b82be627f8e8edd9a">PPP_GODRAYS</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a2b8e28825d1b3a6abc8cf5dba41b938f">PPP_RAIN</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a95f8f16971398b738c3c854b5b5e13a5">PPP_RADIALBLUR</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a3365601484e2b0409e0fc75747643a5a">PPP_CHROMABER</a>
, <br />
&#160;&#160;<a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95afcce96a346e261a005f0cce4cba2e09d">PPP_WETDISTORT</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a22c6eed04f9147d6e98d3751acaf5fbf">PPP_DYNBLUR</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95aabc3eb8cdc5d321abc66827fffe82875">PPP_UNDERWATER</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95aaab16240ab7e515e76381cafb13921e0">PPP_DOF_BOKEH</a>
, <br />
&#160;&#160;<a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a140d96b66227cefafd4610caba13994e">PPP_COLORGRADE</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95ae30c0ac50ee3f3d9234524b8b6fbf500">PPP_GLOW</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a398a3d3d73b0320a4c3bfea70de9528e">PPP_FILMGRAIN</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95af58fc3cc85dcb47838d089456bbf5166">PPP_FILMGRAIN_NV</a>
, <br />
&#160;&#160;<a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a88809c7c0942a9886c26636938a02c02">PPP_FXAA</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95ada0659e4e17975ca50a8cdc8fad7dcc2">PPP_SMAA</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a767f29fad09ee707ba4a524196da606d">PPP_GAUSS_FILTER</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95a3acbcf82f214de01c58ba97cfb8d6f4c">PPP_MEDIAN</a>
<br />
 }</td></tr>
<tr class="memdesc:ad276cdedb5a3eae18144540aef237b95"><td class="mdescLeft">&#160;</td><td class="mdescRight">PPE type priorities, C++ based. DO NOT CHANGE ORDER! Used only when calling 'SetCameraPostProcessEffect'.  <a href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95">More...</a><br /></td></tr>
<tr class="separator:ad276cdedb5a3eae18144540aef237b95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a96ca793cccaa04d0cb4f343305144b"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a4a96ca793cccaa04d0cb4f343305144b">PPERequesterCategory</a> { <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a4a96ca793cccaa04d0cb4f343305144bab1d5eac4b1dca480c8056eaea7663b7a">ALL</a> = 14
 }</td></tr>
<tr class="separator:a4a96ca793cccaa04d0cb4f343305144b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e272c9bdd16c16284f7871e266096e5"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a> { <br />
&#160;&#160;<a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5ac157bdf0b85a40d2619cbc8bc1ae5fe2">NONE</a> = -1
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5a019387ca37e9e8fbc7b49a6e04cf74e8">EXPOSURE</a> = 50
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5a086b53e535382a71ace5158b6949e8a8">DOF</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5abddb7fbae5b556e7e844088ed9b304a5">EYEACCOM</a>
, <br />
&#160;&#160;<a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5af098737c02b2bf7e72f9746fdf7370df">NVLIGHTPARAMS</a>
<br />
 }</td></tr>
<tr class="separator:a9e272c9bdd16c16284f7871e266096e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a055fe6645543d5aac6f214277f064eda"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a> { <br />
&#160;&#160;<a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064edaae321c2eb4e64b32d51da602bc6352f1d">LOWEST</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064edaae21a4e10ac16b844ebb238a2333bb594">HIGHEST</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064edaacfcf145f2788bf340ff3f3098bc54909">ADD</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064edaa52fd1ce3e617cff6789d8a45ca273d31">ADD_RELATIVE</a>
, <br />
&#160;&#160;<a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064edaaad8d6e8ed3aa8fc435128febdd2335b4">SUBSTRACT</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064edaa92db1aa33b2945b1896e05391acaae23">SUBSTRACT_RELATIVE</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064edaa3735e256b29ffe42706c115c741f6661">SUBSTRACT_REVERSE</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064edaa38f6a481b5a828ccf10f8ffbc90ba862">SUBSTRACT_REVERSE_RELATIVE</a>
, <br />
&#160;&#160;<a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064edaa2618be531dddb3647be5874ddcae5164">MULTIPLICATIVE</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064edaab44c8101cc294c074709ec1b14211792">SET</a>
, <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064edaa67d5ac1e9b5fd2e56cdc36392c69db70">OVERRIDE</a>
<br />
 }</td></tr>
<tr class="memdesc:a055fe6645543d5aac6f214277f064eda"><td class="mdescLeft">&#160;</td><td class="mdescRight">PP operator masks specify operation between subsequent layers.  <a href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">More...</a><br /></td></tr>
<tr class="separator:a055fe6645543d5aac6f214277f064eda"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="ac5e33178b6f27d18e3abad3982bd9ded" name="ac5e33178b6f27d18e3abad3982bd9ded"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5e33178b6f27d18e3abad3982bd9ded">&#9670;&#160;</a></span>PPETemplateDefBool</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef  <a class="el" href="../../d2/d04/class_param2.html">Param2</a> <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ac5e33178b6f27d18e3abad3982bd9ded">PPETemplateDefBool</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a633b80e4451bf80e12e4f461fe9a6a50" name="a633b80e4451bf80e12e4f461fe9a6a50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a633b80e4451bf80e12e4f461fe9a6a50">&#9670;&#160;</a></span>PPETemplateDefColor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef Param5&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt; <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a633b80e4451bf80e12e4f461fe9a6a50">PPETemplateDefColor</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html#l00087">87</a> of file <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html">PPEConstants.c</a>.</p>

</div>
</div>
<a id="ab19ab3aa4e820a12e9bf04f9c1036adb" name="ab19ab3aa4e820a12e9bf04f9c1036adb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab19ab3aa4e820a12e9bf04f9c1036adb">&#9670;&#160;</a></span>PPETemplateDefFloat</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef Param4&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt; <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ab19ab3aa4e820a12e9bf04f9c1036adb">PPETemplateDefFloat</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html#l00086">86</a> of file <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html">PPEConstants.c</a>.</p>

</div>
</div>
<a id="a7ff7244ed06093256c10603f1dc6413b" name="a7ff7244ed06093256c10603f1dc6413b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ff7244ed06093256c10603f1dc6413b">&#9670;&#160;</a></span>PPETemplateDefInt</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef Param4&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>,<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>,<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt; <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a7ff7244ed06093256c10603f1dc6413b">PPETemplateDefInt</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html#l00085">85</a> of file <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html">PPEConstants.c</a>.</p>

</div>
</div>
<a id="adc024800a8be550b88ec50f556a9fc62" name="adc024800a8be550b88ec50f556a9fc62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc024800a8be550b88ec50f556a9fc62">&#9670;&#160;</a></span>PPETemplateDefResource</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="../../d2/d04/class_param2.html">Param2</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#adc024800a8be550b88ec50f556a9fc62">PPETemplateDefResource</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html#l00091">91</a> of file <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html">PPEConstants.c</a>.</p>

</div>
</div>
<a id="ad313a41418914229728cf8964bdedc22" name="ad313a41418914229728cf8964bdedc22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad313a41418914229728cf8964bdedc22">&#9670;&#160;</a></span>PPETemplateDefTexture</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="../../d2/d04/class_param2.html">Param2</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad313a41418914229728cf8964bdedc22">PPETemplateDefTexture</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html#l00090">90</a> of file <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html">PPEConstants.c</a>.</p>

</div>
</div>
<a id="aef6104315d96e24a197966539071c24e" name="aef6104315d96e24a197966539071c24e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef6104315d96e24a197966539071c24e">&#9670;&#160;</a></span>PPETemplateDefVector</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="../../d2/d04/class_param2.html">Param2</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt; &gt; <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#aef6104315d96e24a197966539071c24e">PPETemplateDefVector</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html#l00089">89</a> of file <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html">PPEConstants.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="ad276cdedb5a3eae18144540aef237b95" name="ad276cdedb5a3eae18144540aef237b95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad276cdedb5a3eae18144540aef237b95">&#9670;&#160;</a></span>PostProcessPrioritiesCamera</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ad276cdedb5a3eae18144540aef237b95">PostProcessPrioritiesCamera</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PPE type priorities, C++ based. DO NOT CHANGE ORDER! Used only when calling 'SetCameraPostProcessEffect'. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a6c3ee6d22e1276eb79e54a059d789351" name="ad276cdedb5a3eae18144540aef237b95a6c3ee6d22e1276eb79e54a059d789351"></a>PPP_SSAO&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95aa3c88e05fedc38fc8f91904d9dc199b0" name="ad276cdedb5a3eae18144540aef237b95aa3c88e05fedc38fc8f91904d9dc199b0"></a>PPP_CLOUDS&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a36f265d771d6ada8030ed89f13e44707" name="ad276cdedb5a3eae18144540aef237b95a36f265d771d6ada8030ed89f13e44707"></a>PPP_DOF&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a03680e74ba2bb89c791fc84f27dabbc7" name="ad276cdedb5a3eae18144540aef237b95a03680e74ba2bb89c791fc84f27dabbc7"></a>PPP_ROTBLUR&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95ad4caf7810378e14b82be627f8e8edd9a" name="ad276cdedb5a3eae18144540aef237b95ad4caf7810378e14b82be627f8e8edd9a"></a>PPP_GODRAYS&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a2b8e28825d1b3a6abc8cf5dba41b938f" name="ad276cdedb5a3eae18144540aef237b95a2b8e28825d1b3a6abc8cf5dba41b938f"></a>PPP_RAIN&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a95f8f16971398b738c3c854b5b5e13a5" name="ad276cdedb5a3eae18144540aef237b95a95f8f16971398b738c3c854b5b5e13a5"></a>PPP_RADIALBLUR&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a3365601484e2b0409e0fc75747643a5a" name="ad276cdedb5a3eae18144540aef237b95a3365601484e2b0409e0fc75747643a5a"></a>PPP_CHROMABER&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95afcce96a346e261a005f0cce4cba2e09d" name="ad276cdedb5a3eae18144540aef237b95afcce96a346e261a005f0cce4cba2e09d"></a>PPP_WETDISTORT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a22c6eed04f9147d6e98d3751acaf5fbf" name="ad276cdedb5a3eae18144540aef237b95a22c6eed04f9147d6e98d3751acaf5fbf"></a>PPP_DYNBLUR&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95aabc3eb8cdc5d321abc66827fffe82875" name="ad276cdedb5a3eae18144540aef237b95aabc3eb8cdc5d321abc66827fffe82875"></a>PPP_UNDERWATER&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95aaab16240ab7e515e76381cafb13921e0" name="ad276cdedb5a3eae18144540aef237b95aaab16240ab7e515e76381cafb13921e0"></a>PPP_DOF_BOKEH&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a140d96b66227cefafd4610caba13994e" name="ad276cdedb5a3eae18144540aef237b95a140d96b66227cefafd4610caba13994e"></a>PPP_COLORGRADE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95ae30c0ac50ee3f3d9234524b8b6fbf500" name="ad276cdedb5a3eae18144540aef237b95ae30c0ac50ee3f3d9234524b8b6fbf500"></a>PPP_GLOW&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a398a3d3d73b0320a4c3bfea70de9528e" name="ad276cdedb5a3eae18144540aef237b95a398a3d3d73b0320a4c3bfea70de9528e"></a>PPP_FILMGRAIN&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95af58fc3cc85dcb47838d089456bbf5166" name="ad276cdedb5a3eae18144540aef237b95af58fc3cc85dcb47838d089456bbf5166"></a>PPP_FILMGRAIN_NV&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a88809c7c0942a9886c26636938a02c02" name="ad276cdedb5a3eae18144540aef237b95a88809c7c0942a9886c26636938a02c02"></a>PPP_FXAA&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95ada0659e4e17975ca50a8cdc8fad7dcc2" name="ad276cdedb5a3eae18144540aef237b95ada0659e4e17975ca50a8cdc8fad7dcc2"></a>PPP_SMAA&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a767f29fad09ee707ba4a524196da606d" name="ad276cdedb5a3eae18144540aef237b95a767f29fad09ee707ba4a524196da606d"></a>PPP_GAUSS_FILTER&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad276cdedb5a3eae18144540aef237b95a3acbcf82f214de01c58ba97cfb8d6f4c" name="ad276cdedb5a3eae18144540aef237b95a3acbcf82f214de01c58ba97cfb8d6f4c"></a>PPP_MEDIAN&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html#l00002">2</a> of file <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html">PPEConstants.c</a>.</p>

</div>
</div>
<a id="a9e272c9bdd16c16284f7871e266096e5" name="a9e272c9bdd16c16284f7871e266096e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e272c9bdd16c16284f7871e266096e5">&#9670;&#160;</a></span>PPEExceptions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >/brief IDs of custom PPE classes /note Currently used for various native exceptions that used to be handled outside of script-side postprocess system. /note Can be used for custom functionality as well, C++ permitting. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a9e272c9bdd16c16284f7871e266096e5ac157bdf0b85a40d2619cbc8bc1ae5fe2" name="a9e272c9bdd16c16284f7871e266096e5ac157bdf0b85a40d2619cbc8bc1ae5fe2"></a>NONE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a9e272c9bdd16c16284f7871e266096e5a019387ca37e9e8fbc7b49a6e04cf74e8" name="a9e272c9bdd16c16284f7871e266096e5a019387ca37e9e8fbc7b49a6e04cf74e8"></a>EXPOSURE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a9e272c9bdd16c16284f7871e266096e5a086b53e535382a71ace5158b6949e8a8" name="a9e272c9bdd16c16284f7871e266096e5a086b53e535382a71ace5158b6949e8a8"></a>DOF&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a9e272c9bdd16c16284f7871e266096e5abddb7fbae5b556e7e844088ed9b304a5" name="a9e272c9bdd16c16284f7871e266096e5abddb7fbae5b556e7e844088ed9b304a5"></a>EYEACCOM&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a9e272c9bdd16c16284f7871e266096e5af098737c02b2bf7e72f9746fdf7370df" name="a9e272c9bdd16c16284f7871e266096e5af098737c02b2bf7e72f9746fdf7370df"></a>NVLIGHTPARAMS&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html#l00041">41</a> of file <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html">PPEConstants.c</a>.</p>

</div>
</div>
<a id="a4a96ca793cccaa04d0cb4f343305144b" name="a4a96ca793cccaa04d0cb4f343305144b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a96ca793cccaa04d0cb4f343305144b">&#9670;&#160;</a></span>PPERequesterCategory</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a4a96ca793cccaa04d0cb4f343305144b">PPERequesterCategory</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a4a96ca793cccaa04d0cb4f343305144bab1d5eac4b1dca480c8056eaea7663b7a" name="a4a96ca793cccaa04d0cb4f343305144bab1d5eac4b1dca480c8056eaea7663b7a"></a>ALL&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html#l00027">27</a> of file <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html">PPEConstants.c</a>.</p>

</div>
</div>
<a id="a055fe6645543d5aac6f214277f064eda" name="a055fe6645543d5aac6f214277f064eda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a055fe6645543d5aac6f214277f064eda">&#9670;&#160;</a></span>PPOperators</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PP operator masks specify operation between subsequent layers. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a055fe6645543d5aac6f214277f064edaae321c2eb4e64b32d51da602bc6352f1d" name="a055fe6645543d5aac6f214277f064edaae321c2eb4e64b32d51da602bc6352f1d"></a>LOWEST&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a055fe6645543d5aac6f214277f064edaae21a4e10ac16b844ebb238a2333bb594" name="a055fe6645543d5aac6f214277f064edaae21a4e10ac16b844ebb238a2333bb594"></a>HIGHEST&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a055fe6645543d5aac6f214277f064edaacfcf145f2788bf340ff3f3098bc54909" name="a055fe6645543d5aac6f214277f064edaacfcf145f2788bf340ff3f3098bc54909"></a>ADD&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a055fe6645543d5aac6f214277f064edaa52fd1ce3e617cff6789d8a45ca273d31" name="a055fe6645543d5aac6f214277f064edaa52fd1ce3e617cff6789d8a45ca273d31"></a>ADD_RELATIVE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a055fe6645543d5aac6f214277f064edaaad8d6e8ed3aa8fc435128febdd2335b4" name="a055fe6645543d5aac6f214277f064edaaad8d6e8ed3aa8fc435128febdd2335b4"></a>SUBSTRACT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a055fe6645543d5aac6f214277f064edaa92db1aa33b2945b1896e05391acaae23" name="a055fe6645543d5aac6f214277f064edaa92db1aa33b2945b1896e05391acaae23"></a>SUBSTRACT_RELATIVE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a055fe6645543d5aac6f214277f064edaa3735e256b29ffe42706c115c741f6661" name="a055fe6645543d5aac6f214277f064edaa3735e256b29ffe42706c115c741f6661"></a>SUBSTRACT_REVERSE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a055fe6645543d5aac6f214277f064edaa38f6a481b5a828ccf10f8ffbc90ba862" name="a055fe6645543d5aac6f214277f064edaa38f6a481b5a828ccf10f8ffbc90ba862"></a>SUBSTRACT_REVERSE_RELATIVE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a055fe6645543d5aac6f214277f064edaa2618be531dddb3647be5874ddcae5164" name="a055fe6645543d5aac6f214277f064edaa2618be531dddb3647be5874ddcae5164"></a>MULTIPLICATIVE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a055fe6645543d5aac6f214277f064edaab44c8101cc294c074709ec1b14211792" name="a055fe6645543d5aac6f214277f064edaab44c8101cc294c074709ec1b14211792"></a>SET&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a055fe6645543d5aac6f214277f064edaa67d5ac1e9b5fd2e56cdc36392c69db70" name="a055fe6645543d5aac6f214277f064edaa67d5ac1e9b5fd2e56cdc36392c69db70"></a>OVERRIDE&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html#l00051">51</a> of file <a class="el" href="../../d1/d76/_p_p_e_constants_8c_source.html">PPEConstants.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../d1/d76/_p_p_e_constants_8c.html">PPEConstants.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
